#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from PyQt5.QtCore import QStandardPaths
from astra_csp.utils import Utils


class ApplicationCache:
    __cache_path = QStandardPaths.writableLocation(QStandardPaths.GenericCacheLocation) + '/fly-csp'

    @classmethod
    def cache_path(cls) -> str:
        return cls.__cache_path

    @classmethod
    def clear_cache(cls) -> bool:
        return Utils.delete_directory(cls.__cache_path)
