#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from astra_csp.cprocsp_process import CprocspProcess


class CreateFileSignatureProcess(CprocspProcess):
    def __init__(self) -> None:
        super().__init__()
        self.__setup()

    def __setup(self) -> None:
        self.setProgram('/opt/cprocsp/bin/amd64/cryptcp')

    def setup_arguments(self, file_path: str, sig_name: str, fingerprint: str, time_address: str = None) -> None:
        arguments = ['-sign', '-der', '-thumbprint', fingerprint]
        if time_address:
            arguments.extend(['-cadest', '-cadesTSA', time_address])
        arguments.extend(['-detached', file_path, sig_name])
        self.setArguments(arguments)
