#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from PyQt5.QtCore import QFileInfo
from astra_csp.process import Process


class PdfConversionProcess(Process):
    def __init__(self) -> None:
        super().__init__()
        self.__setup()

    @staticmethod
    def output_file_path(file_path: str, outdir: str) -> str:
        return outdir + '/' + QFileInfo(file_path).baseName() + '.pdf'

    def setup_arguments(self, file_path: str, outdir: str) -> None:
        self.setArguments(['--convert-to', 'pdf', file_path, '--outdir', outdir])

    def __setup(self) -> None:
        self.setProgram('libreoffice')
