#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from astra_csp.cprocsp_process import CprocspProcess


class VerifyFileProcess(CprocspProcess):
    def __init__(self) -> None:
        super().__init__()
        self.__setup()

    def setup_arguments(self, file_path: str, sig_name: str = None) -> None:
        if sig_name:
            arguments = ['-verify', '-verall', '-detached', file_path, sig_name]
        else:
            arguments = ['-verify', file_path]
        self.setArguments(arguments)

    def __setup(self) -> None:
        self.setProgram('/opt/cprocsp/bin/amd64/cryptcp')
